Publications
Cancel an unclaimed prepared first comment
POST
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= lengthpublicationId*stringLength
1 <= length- body
expectedRevision*integerRange
1 <= valueResponse for status 200
application/json- response
providerId*stringValue in
"bluesky""mastodon"textLimit*integerRange
1 <= value <= 3000instanceOrigin*string|nullfirstComment*|nullcanConfigure*booleancanManage*booleancurl -X POST 'https://postbot.example/api/projects/string/publications/string/first-comment/cancel' \
-H 'Content-Type: application/json' \
-d '{
"expectedRevision": 1
}'Example Response
{
"providerId": "bluesky",
"textLimit": 1,
"instanceOrigin": "string",
"firstComment": {
"id": "string",
"text": "string",
"delaySeconds": 0,
"state": "waiting",
"revision": 1,
"dueAt": 0,
"createdAt": 0,
"updatedAt": 0,
"externalUrl": "string",
"lastError": "string",
"authorName": "string"
},
"canConfigure": true,
"canManage": true
}